# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

Public Member Functions

# vl::InterpolatorFVec4 Class Reference

Abstract class that interpolates vl::fvec4 values. More...

`#include <Interpolator.hpp>`

Inheritance diagram for vl::InterpolatorFVec4:

List of all members.

## Public Member Functions

virtual vl::fvec4 | computePoint (float t) const =0
| Samples the interpolator at the given point.

## Detailed Description

Abstract class that interpolates vl::fvec4 values.

Definition at line 62 of file Interpolator.hpp.

## Member Function Documentation

virtual vl::fvec4 vl::InterpolatorFVec4::computePoint | ( | float | t ) | const`[pure virtual]`

Samples the interpolator at the given point.

Implemented in vl::CatmullRomInterpolatorFVec4, and vl::LinearInterpolatorFVec4.

The documentation for this class was generated from the following file:

- D:/VL/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlCore/Interpolator.hpp

Visualization Library v2011.05.1142 Reference Documentation
Copyright 2005-2011 Michele Bosi. All rights reserved.
Updated on Thu May 26 2011 22:51:32.
Permission is granted to use this page to write and publish articles regarding Visualization Library.